/**
 * generated by Xtext 2.19.0
 */
package fr.istic.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import fr.istic.MMLRuntimeModule;
import fr.istic.MMLStandaloneSetup;
import fr.istic.ide.MMLIdeModule;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class MMLIdeSetup extends MMLStandaloneSetup {
  @Override
  public Injector createInjector() {
    MMLRuntimeModule _mMLRuntimeModule = new MMLRuntimeModule();
    MMLIdeModule _mMLIdeModule = new MMLIdeModule();
    return Guice.createInjector(Modules2.mixin(_mMLRuntimeModule, _mMLIdeModule));
  }
}
